Bug 468376 - (mingw32-SDL) Review Request: mingw32-SDL - MinGW Windows port of SDL cross-platform multimedia library
Review Request: mingw32-SDL - MinGW Windows port of SDL cross-platform multim...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On: 454410 mingw32-iconv mingw32-dlfcn
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-24 09:43 EDT by Richard W.M. Jones
Modified: 2009-01-21 16:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 16:28:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
adel.gadllah: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 2 Adel Gadllah 2009-01-07 07:26:50 EST
REVIEW:

[+] = OK
[-] = NOT OK
[1] = SEE COMMENTS
[?] = WTF?

=============================

[+]	source files match upstream:
 sha1:  http://www.libsdl.org/release/SDL-1.2.13.tar.gz
[+]	package meets naming and versioning guidelines.
[+]	specfile is properly named, is cleanly written and uses macros consistently.
[+]	dist tag is present.
[+]	build root is correct.
[+]	license field matches the actual license.
[+]	license is open source-compatible.
		LGPLv2+
[-]	license text included in package.
[+]	latest version is being packaged.
[+]	BuildRequires are proper.
[+]	compiler flags are appropriate.
[+]	%clean is present.
[+]	package builds in koji:
		http://koji.fedoraproject.org/koji/taskinfo?taskID=1037809
[+]	package installs properly.
[1]	rpmlint is silent.
[+]	no shared libraries are added to the regular linker search paths.
[+]	owns the directories it creates.
[+]	doesn't own any directories it shouldn't.
[+]	no duplicates in %files.
[2]	file permissions are appropriate.
[+]	no scriptlets present.
[+]	code, not content.
[+]	documentation is small, so no -docs subpackage is necessary.
[+]	%docs are not necessary for the proper functioning of the package.
[3]	no headers.
[+]	no pkgconfig files.


================================

COMMENTS:

Please package the COPYING file.

[1]: no there are warings like this:

"mingw32-SDL.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man3/SDL_SetColorKey.3"

Those can be fixed with a line like this:

find $RPM_BUILD_ROOT%{_mingw32_mandir}/man3/ -type f -not -name '*.gz' -print | xargs gzip -9f

"mingw32-SDL.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libSDLmain.a"

Package used for cross-compiling so this is a non issue.

"mingw32-SDL.noarch: W: non-standard-dir-in-usr i686-pc-mingw32"

Used in all mingw32 packges.

"mingw32-SDL.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libSDL.dll.a"

Why is this executeable ?

"mingw32-SDL.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/SDL/SDL_events.h"

Fine, because package is only used for cross compiling.

[2]:
See comment in [1] regarding /usr/i686-pc-mingw32/sys-root/mingw/lib/libSDL.dll.a

[3]: 
Is OK, see comment in [1]

===================================

Package looks good, please fix the issues noted above and I will approve it.
Comment 3 Richard W.M. Jones 2009-01-13 07:43:35 EST
> "mingw32-SDL.noarch: W: spurious-executable-perm
> /usr/i686-pc-mingw32/sys-root/mingw/lib/libSDL.dll.a"
> 
> Why is this executable ?

See: https://bugzilla.redhat.com/show_bug.cgi?id=467397#c4

Here is an updated package which should fix everything else:

Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/file/tip/SDL/mingw32-SDL.spec
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-10/src/SRPMS/mingw32-SDL-1.2.13-4.fc10.src.rpm

* Tue Jan 13 2009 Richard W.M. Jones <rjones@redhat.com> - 1.2.13-4
- Verify we are still up to date with Fedora release.
- Include COPYING in documentation.
- Build with dlfcn.
- List all BRs.
- No need to package the man pages, don't duplicate what's in the
  base Fedora package already.
- Requires pkgconfig.
Comment 4 Adel Gadllah 2009-01-13 14:44:35 EST
Looks good now.

=> APPROVED
Comment 5 Adel Gadllah 2009-01-13 14:50:51 EST
"- Build with dlfcn."  missed this one, removed the "+" for now until this package is in fedora.
Comment 6 Richard W.M. Jones 2009-01-16 06:41:46 EST
dlfcn (bug 478640) has now been approved.
Comment 7 Adel Gadllah 2009-01-16 07:18:17 EST
(In reply to comment #6)
> dlfcn (bug 478640) has now been approved.

I know, because I was the one who reviewed it ;)
Comment 8 Richard W.M. Jones 2009-01-16 07:42:22 EST
New Package CVS Request
=======================
Package Name: mingw32-SDL
Short Description: MinGW Windows port of SDL cross-platform multimedia library
Owners: rjones berrange lfarkas
Branches: EL-5 F-10
InitialCC:
Comment 9 Kevin Fenzi 2009-01-16 22:19:51 EST
cvs done.
Comment 10 Fedora Update System 2009-01-21 05:53:50 EST
mingw32-SDL-1.2.13-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-SDL-1.2.13-4.fc10
Comment 11 Fedora Update System 2009-01-21 16:28:33 EST
mingw32-SDL-1.2.13-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.